functions
Function Schedules Remove
DELETE
/
functions
/
{function_id}
/
schedules
/
{schedule_id}
python
import os
import requests
function_id = "<function_id>"
schedule_id = "<schedule_id>"
response = requests.delete(
f"{os.environ.get('NOTTE_API_URL', 'https://api.notte.cc')}/functions/{function_id}/schedules/{schedule_id}",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())const functionId = "<function_id>";
const scheduleId = "<schedule_id>";
const response = await fetch(`https://api.notte.cc/functions/${functionId}/schedules/${scheduleId}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.NOTTE_API_KEY}` },
signal: AbortSignal.timeout(30_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl -X DELETE "https://api.notte.cc/functions/$function_id/schedules/$schedule_id" \
-H "Authorization: Bearer $NOTTE_API_KEY"{
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Was this page helpful?
⌘I
python
import os
import requests
function_id = "<function_id>"
schedule_id = "<schedule_id>"
response = requests.delete(
f"{os.environ.get('NOTTE_API_URL', 'https://api.notte.cc')}/functions/{function_id}/schedules/{schedule_id}",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())const functionId = "<function_id>";
const scheduleId = "<schedule_id>";
const response = await fetch(`https://api.notte.cc/functions/${functionId}/schedules/${scheduleId}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.NOTTE_API_KEY}` },
signal: AbortSignal.timeout(30_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl -X DELETE "https://api.notte.cc/functions/$function_id/schedules/$schedule_id" \
-H "Authorization: Bearer $NOTTE_API_KEY"{
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}